import request from '@/config/axios'

// 巡检项 VO
export interface IotInspectItemVO {
  id: number // 主键id
  item: string // 巡检项
  standard: string // 巡检标准
  sort: number // 排序
  remark: string // 备注
  deptId: number // 部门id
}

// 巡检项 API
export const IotInspectItemApi = {
  // 查询巡检项分页
  getIotInspectItemPage: async (params: any) => {
    return await request.get({ url: `/rq/iot-inspect-item/page`, params })
  },
  getIotInspectRouteItemPage: async (params: any) => {
    return await request.get({ url: `/rq/iot-inspect-route/items`, params })
  },
  // 查询巡检项详情
  getIotInspectItem: async (id: number) => {
    return await request.get({ url: `/rq/iot-inspect-item/get?id=` + id })
  },

  // 新增巡检项
  createIotInspectItem: async (data: IotInspectItemVO) => {
    return await request.post({ url: `/rq/iot-inspect-item/create`, data })
  },

  // 修改巡检项
  updateIotInspectItem: async (data: IotInspectItemVO) => {
    return await request.put({ url: `/rq/iot-inspect-item/update`, data })
  },

  // 删除巡检项
  deleteIotInspectItem: async (id: number) => {
    return await request.delete({ url: `/rq/iot-inspect-item/delete?id=` + id })
  },

  // 导出巡检项 Excel
  exportIotInspectItem: async (params) => {
    return await request.download({ url: `/rq/iot-inspect-item/export-excel`, params })
  },
}
